/*
Theme Name: cdo_tw25_v2
Theme URI: 
Author: dv
Author URI: 
Description: 
Requires at least: 6.8
Tested up to: 6.8
Requires PHP: 5.7
Version: 
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Template: twentytwentyfive
Text Domain: cdo_tw25_v2
Tags: 
*/

body{
	 -webkit-font-smoothing: antialiased;
	
	--wp--style--root--padding-top: var(--wp--preset--spacing--001);
	--wp--style--root--padding-bottom: var(--wp--preset--spacing--001);	
    
	--wp--style--root--padding-right: var(--wp--preset--spacing--002);
    --wp--style--root--padding-left: var(--wp--preset--spacing--002);
	
	/*
	--wp--preset--spacing--001: var(--wp--preset--font-size--100);
	--wp--preset--spacing--002: var(--wp--preset--font-size--150); */
}

.hide-desktop{
  display: none;
}

@media screen and (max-width:590px) {
	
	body{
	--wp--style--root--padding-top: var(--wp--preset--spacing--001);
	--wp--style--root--padding-bottom: var(--wp--preset--spacing--001);	
    
	--wp--style--root--padding-right: var(--wp--preset--spacing--001);
    --wp--style--root--padding-left: var(--wp--preset--spacing--001);
	}
	
  .hide-tablet{
    display: none;
  }
  .hide-desktop{
    display: block;
  }
  .wp-block-navigation-item__label {
  font-size: 1.5em !important;
} 
}

/* wp block main block gaps */
:where(.wp-site-blocks) > * {
    margin-block-start: 0.5rem;
    margin-block-end: 0;
}


/* ------------
 * WOOCOMMERCE
 * ------------ */

/* CATALOGO PRODOTTI */
/* Select ordiamento prodotti  */
.orderby{border:none;
padding: var(--wp--preset--spacing--002);
font-family:inherit;}

/* Lista categorie prodotti */
.wc-block-product-categories-list{
    list-style: none;
    margin: 0;
    padding: 0;
    
    display: flex;
    flex-wrap: wrap;
    gap: var(--wp--preset--spacing--001);
    /*justify-content: center;*/
}

.wc-block-components-quantity-selector{
	padding:.5rem;
	border-radius:0px;
}

.wc-block-product-categories-list-item{
padding: 0.5em 0; 
}

.wp-block-post-terms a,
.wc-block-product-categories-list-item a{
text-decoration: none;
outline: 1px solid black;
padding: 0.25em 0.5em;
border-radius: 2em;
}

.wp-block-post-terms a:hover,
.wc-block-product-categories-list-item a:hover{
background: black;
color: white;}

.wc-block-grid__product-image{
  transition: all 300ms ease-in-out;
}

.wc-block-grid__product-image:hover{
    transform: scale(1.05);
}

/* ------------
 * PRODOTTO SINGOLO
 * ------------ */

/* gallery background */
.woocommerce-product-gallery {
  background: var(--wp--preset--color--custom-grey);
}

.price-size *{ font-size: var(--wp--preset--font-size--150) !important; }

/* Pillole prodotto mulitiplo */
.wc-block-add-to-cart-with-options-variation-selector-attribute-options__pill{
	font-size: var(--wp--preset--font-size--100)!important;
}
